Subject: [alpine-aports] [PATCH] testing/libecap: new aport

From: Roger Newman <[email-masked]>
Date: Tue, 28 Feb 2017 20:27:37 +0100

http://www.e-cap.org/
eCAP allows an HTTP proxy or an ICAP server, to outsource content analysis and adaptation to a loadable module

---
 testing/libecap/APKBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 testing/libecap/APKBUILD

diff --git a/testing/libecap/APKBUILD b/testing/libecap/APKBUILD
new file mode 100644
index 0000000000..296b04e8c0
--- /dev/null
+++ b/testing/libecap/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Roger Newman <[email-masked]>
+# Maintainer: Roger Newman <[email-masked]>
+pkgname=libecap
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="eCAP allows an HTTP proxy or an ICAP server, to outsource content analysis and adaptation to a loadable module"
+url="http://www.e-cap.org/"
+arch="all"
+license="BSD"
+depends=""
+subpackages="$pkgname-dev"
+source="http://www.measurement-factory.com/tmp/ecap/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	update_config_sub || return 1
+}
+
+build() {
+	cd "$_builddir"
+	./configure 'CXXFLAGS=-O2 -m64 -pipe' 'CFLAGS=-O2 -m64 -pipe' \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--libdir=/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make install-strip \
+		libdir=/usr/lib \
+		pkgconfigdir="/usr/lib/pkgconfig" \
+		DESTDIR="$pkgdir" || return 1
+}
+
+sha512sums="7d34b5a9b6843d6b09efc4fa390c7a2d3dda7a2ae5e82d5021295e436ca9afb7c1f70bc6f25a68e4c430fb6e33ee9f602655c9c830fccd46a8f554774813b452  libecap-1.0.0.tar.gz"
-- 
2.11.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Wed, 01 Mar 2017 16:45:21 +0100

Hi,
thank you for your contribution!

Please see some comments below.

On mar, 2017-02-28 at 20:27 +0100, Roger Newman wrote:
> http://www.e-cap.org/
> eCAP allows an HTTP proxy or an ICAP server, to outsource content
> analysis and adaptation to a loadable module
> 
> ---
>  testing/libecap/APKBUILD | 45
> +++++++++++++++++++++++++++++++++++++++++++++
> +pkgdesc="eCAP allows an HTTP proxy or an ICAP server, to outsource
> content analysis and adaptation to a loadable module"

This function is now provided by abuild with "default_prepare".

> +	./configure 'CXXFLAGS=-O2 -m64 -pipe' 'CFLAGS=-O2 -m64 

We're using by default "-Os". Also "-m64" most likely is broken on x86.
Can the default CFLAGS/CXXFLAGS be used instead?

Thanks!

|_eo